<?php
	defined( "_VALID_PAGE_MONITOR" ) or die (_NODIRECTACCESS);
	
	class TimerModule extends Module{
		private $timer;
		
		function TimerModule($params){
			// Super
			parent::Module();
			
			$this->timer = new Timer();	
		}
		
		function out(){
			if( false == $this->pm_config["show_elapsed_time"] )
				return;
			
			echo '<script type="text/javascript">document.getElementById("timerModule").innerHTML="seconds: ' . $this->timer->endTimerAndGetString() .'";</script>';
		}
	}
?>